http://auditmanager.{region}.amazonaws.com/assessmentFrameworksCreates a custom framework in Audit Manager.
The name of the new custom framework.
The tags that are associated with the framework.
The control sets that are associated with the framework.
An optional description for the new custom framework.
The compliance type that the new custom framework supports, such as CIS or HIPAA.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://auditmanager.{region}.amazonaws.com/assessmentFrameworks' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://auditmanager.{region}.amazonaws.com/assessmentFrameworksCreates a custom framework in Audit Manager.
The name of the new custom framework.
The tags that are associated with the framework.
The control sets that are associated with the framework.
An optional description for the new custom framework.
The compliance type that the new custom framework supports, such as CIS or HIPAA.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://auditmanager.{region}.amazonaws.com/assessmentFrameworks' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}